@echo off
set FILENAME=AACACM.inf
TITLE AAC ACM Codec
IF EXIST "%SystemRoot%\SysWOW64\" GOTO 64_BIT_OS
echo Installing...

REM Workaround for the lost current dir while using "Run as Administrator"
SETLOCAL ENABLEEXTENSIONS
IF EXIST "%~dp0" cd /D "%~dp0"

IF NOT EXIST "%FILENAME%" GOTO FILE_MISSING
"rundll32.exe" setupapi.dll,InstallHinfSection DefaultInstall 132 .\%FILENAME%
GOTO End

:FILE_MISSING
echo The file %FILENAME% is missing
pause > nul
GOTO End

:64_BIT_OS
echo You cannot install it in this way on a 64-bit OS
pause > nul

:End
