@echo off
set FILENAME=AACACM_x64.inf
TITLE AAC ACM Codec x64
IF NOT EXIST "%SystemRoot%\SysWOW64\" GOTO 32_BIT_OS
echo Installing...

REM Workaround for the lost current dir while using "Run as Administrator"
SETLOCAL ENABLEEXTENSIONS
IF EXIST "%~dp0" cd /D "%~dp0"

IF NOT EXIST "%FILENAME%" GOTO FILE_MISSING
"rundll32.exe" setupapi.dll,InstallHinfSection DefaultInstall 132 .\%FILENAME%
GOTO End

:FILE_MISSING
echo The file %FILENAME% is missing
pause > nul
GOTO End

:32_BIT_OS
echo You cannot install this on a 32-bit OS
pause > nul

:End
